/*******************************
  PURPOSE: Deliverable 3 Prox Sensor Library, cpp file
  CREATED BY: AUSTIN MOSS
  DATE: 10/13/2014
*******************************/

#include "HCSR04.h" // includes header of prox sensor

HCSR04ProxSensor::HCSR04ProxSensor(int echoPin, int triggerPin) //this is the constructor
{
  _echoPin=echoPin;  // stores the inputs to private variables _echoPin and _triggerPin
  _triggerPin=triggerPin;
  pinMode(_echoPin, INPUT);//set pinmodes
  pinMode(_triggerPin, OUTPUT);
}
float HCSR04ProxSensor::readSensor() //read sensor in cm
{ 
  _lastValue=_distance; //sets the previously determined distance to the last value
  
  digitalWrite(_triggerPin, HIGH);  // make a 10usec pulse
  delayMicroseconds(10); 
  digitalWrite(_triggerPin, LOW);
  
  _distance = pulseIn(_echoPin,HIGH); //now read the pulse that is sent back by the sensor 
                                      // pulseIn returns the pulse length usec
   
  _distance=_distance/58;  //converts the distance value to cem from pulselength in usec
 
  return _distance; //returns the distance from the sensor

}
float HCSR04ProxSensor::getLastValue() //get previous reading to be able to determine whether an object approaches or retracts.
{
  return _lastValue; //returns the lastValue determined in the readSensor() method
}


