/************************************
  PURPOSE: Deliverable 3 Prox Sensor Library, header file
  CREATED BY: AUSTIN MOSS
  DATE: 10/13/2014
 ************************************/ 
#ifndef HCSR04_h // checks if header has been called before for sensor
#define HCSR04_h // defines header of prox sensor if not previously defined.

#include "Arduino.h" // includes Arduino library header. Allows use of Arduino functions.

class HCSR04ProxSensor
{
  public: // allows the members to be visible from the outside
  
  HCSR04ProxSensor(int echoPin, int triggerPin); //constructor for the object 
  
  float readSensor(); // public members for the class. This returns distance from the sensor
  float getLastValue(); //This returns the previously determined value
  
  private: // restricts the members to be only visible from the inside
  
  int _triggerPin; // defines triggerPin
  int _echoPin;  // defines echoPin
  int _distance;  // defines distance
  int _lastValue;  //defines the last value
  
  
  
};

#endif //closes if statement

